#
# spec file for package pam_ssh (Version 1.91)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd krb5 less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libusb libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openct openldap2-client opensc openssh openssl openssl-devel pam pam-devel pam-modules patch pcsc-lite perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pam_ssh
BuildRequires:  openssh openssl-devel pam-devel
License:        BSD
Group:          Productivity/Networking/SSH
Autoreqprov:    on
Version:        1.91
Release:        19.2
Summary:        PAM Module for SSH Authentication
URL:            http://developer.novell.com/wiki/index.php/Pam_ssh
Source:         pam_ssh-1.91.tar.bz2
Patch:          pam_ssh-1.91.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This module provides single sign-on behavior. The user types a
passphrase when logging in and is allowed in if it decrypts the user s
SSH private key. An ssh-agent is started and keys are added. For the
entire session, the user types no more passwords.



Authors:
--------
    Andrew J. Korty <ajk@iu.edu>
    Roderick Schertler

%debug_package
%prep
%setup -q -n pam_ssh-1.91
%patch

%build
%{suse_update_config -f}
autoreconf --verbose --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"  \
./configure --libdir=/%{_lib} --with-pamdir=/%{_lib}/security \
            --prefix=/usr --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
install -d 755 $RPM_BUILD_ROOT/%{_lib}/security
install -m 755 .libs/pam_ssh.so $RPM_BUILD_ROOT/%{_lib}/security
install -d 755 $RPM_BUILD_ROOT%{_mandir}/man8
install pam_ssh.8 $RPM_BUILD_ROOT%{_mandir}/man8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc README TODO NEWS
%attr(555,root,root) /%{_lib}/security/pam_ssh.so
%attr(444,root,root) %_mandir/man*/*.*

%changelog -n pam_ssh
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 14 2005 - ro@suse.de
- added include openssl/md5.h to cipher.c
* Mon Oct 10 2005 - schubi@suse.de
- added "include <syslog.h>"
* Tue Nov 09 2004 - schubi@suse.de
- Bugfixes for other architectures
* Mon Nov 08 2004 - schubi@suse.de
- first version
